Summary: Gtk/gnome widget builder
Name: glade
Version: 0.6.4
Release: 9mdk
License: LGPL
Url: http://glade.gnome.org/
Group: Development/GNOME and GTK+
Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Source2: %{name}_icons.tar.bz2
# (fc) 0.6.4-3mdk use DTD compliant OMF file (Rawhide)
Patch0:	glade-0.6.4-scrollkeeper-dtd.patch.bz2
Patch1: glade-0.6.4-includes.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	bonobo-devel
BuildRequires:	libxml-devel
BuildRequires:	oaf-devel
BuildRequires:	scrollkeeper

Requires: gnome-libs-devel >= 1.0.14
Requires: gtk+-devel >= 1.2.8
Requires: gettext >= 0.10.35
Requires: libgnome-db >= 0.2.90
PreReq:	scrollkeeper

%description
Glade is a Widget builder for Gtk/gnome. 
It allows to create a gtk/gnome interface in C, C++, Ada and Perl

%prep
%setup -q -a 2
%patch0 -p1 -b .validdtd
%patch1 -p1 -b .includes

%build
%configure2_5x --with-bonobo
%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std


## menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="More Applications/Development/Development Environments" \
title="Glade" longtitle="Gtk/GNOME Widget Builder"
EOF
mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 %{name}_32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 %{name}_48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name} --with-gnome

#rename omf file, so they don't overrides GNOME user guide
mv $RPM_BUILD_ROOT%{_datadir}/omf/glade/user-guide-C.omf $RPM_BUILD_ROOT%{_datadir}/omf/glade/glade-user-guide-C.omf
mv $RPM_BUILD_ROOT%{_datadir}/omf/glade/user-guide-it.omf $RPM_BUILD_ROOT%{_datadir}/omf/glade/glade-user-guide-it.omf

%clean
rm -fr $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ TODO doc/*.txt
%{_bindir}/*
%{_datadir}/glade
%{_datadir}/gnome/apps/*/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.4-9mdk
- Rebuild

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-8mdk 
- Fix menu

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-7mdk 
- Rename omf file to no longer conflicts with GNOME user guide one (Mdk bug #10202)

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4-6mdk
- fix deps, missing includes (64-bit fixes)

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.6.4-5mdk
- Rebuild

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.4-4mdk
- BuildRequires

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-3mdk
- Patch0 (rawhide): use DTD compliant OMF file

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-1mdk
- Release 0.6.4

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.3-2mdk
- xpm -> png icons

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.3-1mdk
- Release 0.6.3
- Remove patch0 (merged upstream)

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-5mdk
- BuildRequires

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-4mdk
- Regenerate patch 0 to work with gnome-db >= 0.2.90

* Thu Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-3mdk
- BuildRequires:	db1-devel
- BuildRequires:	GConf-devel
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	gnome-print-devel
- BuildRequires:	libxml-devel
- BuildRequires:	oaf-devel
- BuildRequires:	popt-devel
- Removed BuildRequires: XFree86-devel
- Removed BuildRequires: audiofile-devel
- Removed BuildRequires: esound-devel
- Removed BuildRequires: gnome-libs-devel
- Removed BuildRequires: imlib-devel
- Removed BuildRequires: libgda0-devel
- Removed BuildRequires: zlib-devel

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-2mdk
- Patch0: fix to compile with gnome-db 0.2.10

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Really remove tar call in prep section
- Add scrollkeeper support

* Thu Mar 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-2mdk
- s!tar xvfy %{SOURCE2}!%setup -q -a2, thus removing stupid bzip2 warning
  about obsolete flags
- capitalize menu title

* Wed Mar 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-1mdk
- new release stable now !!!


* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.11-1mdk
- new release

* Tue Sep 26 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.10-1mdk
- Up to 0.5.10

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-7mdk
- Correct icon attribut in menu file

* Wed Aug 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-6mdk
- use find_lang macro
- More Macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.9-5mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.9-4mdk
- _menudir
- _prefix
- bzip2 menu entry to shut up rpmlint
- remove stupid docdir: tag

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix makeinstall (Stefan van der Eijk)
- spec simplification


* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-2mdk
- fix buildroot directory which conflicts with ImageMagic (cut&paste :-( )

* Wed Jun  7 2000 Vincent Saugey  <vince@mandrakesoft.com> 0.5.9-1mdk
- Up to 0.5.9
- Clean in spec file

* Sat Apr 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-8mdk
- Add requires gettext

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-7mdk
- corrected group
- add menu entry
- add a icon for nenu

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the Franch description (it is '%%description -l lang'
  and not '%%description(lang)' !)
- added an icon for the rpm 

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.5.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- bzip2 source
- update Source: url

* Wed Sep 29 1999 Obiwan Kenobi <kenobi@mandrakesoft.com>
- Nothing.

* Wed Jun 23 1999 Jose Mercado <jmercado@mit.edu>
- Changed the Source variable to use %{var}.
- Fixed glade.desktop's path so rpm will find it.
